java.lang.IllegalStateException: buildToolsVersion is not specified.

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Samebug tips

,

checkState() is Static convenience methods that help a method or constructor check whether it was invoked correctly (whether its preconditions have been met). This occurs when the precondition does not met.

,

Check if there is no nexus running. If not, delete sonatype-work/nexus/nexus.lock .

Solutions on the web

via GitHub by AmitMY
, 10 months ago
buildToolsVersion is not specified.
via GitHub by hq001a
, 1 year ago
buildToolsVersion is not specified.
via GitHub by benmarten
, 10 months ago
buildToolsVersion is not specified.
via Stack Overflow by Yoghurt尧
, 11 months ago
buildToolsVersion is not specified.
java.lang.IllegalStateException: buildToolsVersion is not specified.
at com.android.build.gradle.BasePlugin.createAndroidTasks(BasePlugin.java:645)
at com.android.build.gradle.BasePlugin$10.call(BasePlugin.java:608)
at com.android.builder.profile.ThreadRecorder.record(ThreadRecorder.java:156)
at com.android.builder.profile.ThreadRecorder.record(ThreadRecorder.java:120)

Users with the same issue

Samebug visitor profile picture
Unknown user
Once, 1 year ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago
Samebug visitor profile picture
Unknown user
Once, 1 year ago

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.